LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
08073Bug reports[All Projects] Expression Managerpublic2013-08-01 15:422013-11-07 15:00
ReporterDenisChenu 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target Version2.05 RCFixed in Version2.00+ 
Summary08073: PHP notice on survey_logic_file
DescriptionThis one is hard to reproduce, not sure actually. but seems its:
-Adding group
- move quetsion to this group

After i'm unable to view survey logic file. Only possibility is to delog/log (or set config=0)
Steps To ReproduceMaybe try:
- Import a lsg
- Import same lsg again
- Click on "view survey logic files"
OR
- Add a group
- Add a question to this group
- Click on "view survey logic files"
Additional InformationHave the error.
Set debug to 0
Udate survey logic file : OK
Set debug at 2
Update survey logic file : KO

There are some $_SESSION here because delog/relog is OK. BUT admin/expressions/sa/survey_logic_file have already LimeExpressionManager::SetDirtyFlag(); (and i add it again more in start of exression contri=oller ...) Then : LimeExpressionManager::SetDirtyFlag(); is buggy too (and this one can be most important)
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID20130801
Browsernot relevant
Database & DB-Versionnot relevant
Operating System (Server)debian/linux
Webserver software & versionapache
PHP VersionPHP Version 5.3
Attached Fileshtml file icon PHP notice.html [^] (31,842 bytes) 2013-08-01 15:42

- Relationships

-  Notes
User avatar (26570)
DenisChenu (developer)
2013-10-07 11:07

Hi Cartsen: the biggest difficulty is to find exactly the problem source here ....

Maybe just some SetDirtyFlag after "question/group order update" is OK ?
User avatar (26903)
c_schmitz (administrator)
2013-10-22 14:29

Yes, an on import, if non exists yet.
User avatar (26927)
c_schmitz (administrator)
2013-10-22 17:23

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13338 [^]
User avatar (26928)
c_schmitz (administrator)
2013-10-22 17:25

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=13339 [^]
User avatar (27135)
c_schmitz (administrator)
2013-11-07 15:00

Version 2.00+ Build 131107 released.

- Related Changesets
LimeSurvey: master 560ab224
Timestamp: 2013-10-22 15:23:04
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 08073: PHP notice on survey_logic_file after importing a question group
mod - application/controllers/admin/questiongroup.php Diff ] File ]
LimeSurvey: 2.05 19c768d6
Timestamp: 2013-10-22 15:24:59
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 08073: PHP notice on survey_logic_file after importing a question group
mod - application/controllers/admin/questiongroups.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-08-01 15:42 DenisChenu New Issue
2013-08-01 15:42 DenisChenu File Added: PHP notice.html
2013-10-07 11:02 c_schmitz Target Version => 2.05 RC
2013-10-07 11:07 DenisChenu Note Added: 26570
2013-10-22 14:29 c_schmitz Note Added: 26903
2013-10-22 14:29 c_schmitz Assigned To => c_schmitz
2013-10-22 14:29 c_schmitz Status new => assigned
2013-10-22 17:23 c_schmitz Changeset attached => LimeSurvey master 560ab224
2013-10-22 17:23 c_schmitz Note Added: 26927
2013-10-22 17:23 c_schmitz Resolution open => fixed
2013-10-22 17:25 c_schmitz Changeset attached => LimeSurvey 2.05 19c768d6
2013-10-22 17:25 c_schmitz Note Added: 26928
2013-10-22 17:25 c_schmitz Status assigned => resolved
2013-10-22 17:25 c_schmitz Fixed in Version => 2.00+
2013-11-07 15:00 c_schmitz Note Added: 27135
2013-11-07 15:00 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker